<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Rara_eCommerce
 */
    /**
     * Doctype Hook
     * 
     * @hooked rara_ecommerce_doctype
    */
    do_action( 'rara_ecommerce_doctype' );
?>
<head itemscope itemtype="http://schema.org/WebSite">
	<?php 
    /**
     * Before wp_head
     * 
     * @hooked rara_ecommerce_head
    */
    do_action( 'rara_ecommerce_before_wp_head' );
    
    wp_head(); ?>
</head>

<body <?php body_class(); ?> itemscope itemtype="http://schema.org/WebPage">

<?php
    wp_body_open();
    
    /**
     * Before Header
     * 
     * @hooked rara_ecommerce_page_start - 20 
    */
    do_action( 'rara_ecommerce_before_header' );
    
    /**
     * Header
     *    
     * @hooked rara_ecommerce_header - 10     
    */
    do_action( 'rara_ecommerce_header' );
    
    /**
     * Content
     * 
     * @hooked rara_ecommerce_content_start
    */
    do_action( 'rara_ecommerce_content' );